Package Gnumed :: Package timelinelib :: Package wxgui :: Module utils |
[frames] | no frames]

# Module utils

source code

Classes
| WildcardHelper
| PopupTextWindow

Functions
category_tree(category_list, parent=None, remove=None) Transform flat list of categories to a tree based on parent attribute. | source code
display_error_message(message, parent=None) Display an error message in a modal dialog box | source code
display_warning_message(message, parent=None) | source code
display_information_message(caption, message, parent=None) | source code
display_categories_editor_moved_message(parent) | source code
get_user_ack(question, parent=None) | source code
set_wait_cursor(parent) | source code
set_default_cursor(parent) | source code
set_focus(parent, name) | source code
register_unlock_function(function) | source code

Variables
| BORDER = `5`
| unlock_function = `None`

Imports: wx, sort_categories

Function Details

### category_tree(category_list, parent=None, remove=None) | source code
Transform flat list of categories to a tree based on parent attribute. The top-level categories have the given parent and each level in the tree is sorted. If remove is given then the subtree with remove as root will not be included. The tree is represented as a list of tuples, (cat, sub-tree), where cat is the parent category and subtree is the same tree representation of the children.